# [Wulf MVC](https://github.com/adjavaherian/wulf_mvc)

Wulf MVC on HTML5 Boilerplate is a professional front-end template for building fast,
robust, and adaptable web apps or ReSTFul sites using a jQuery based MVC Design Pattern.

This project stems from a pattern which was originally published by Adam Wulf at
http://welcome.totheinter.net/tutorials/model-view-controller-in-jquery/.

Like HTML5 Boilerplate, it does not impose a specific development philosophy or
framework, so you're free to architect your code in the way that you want and use
the code as a template for developing robust application with class-like MVC objects.

* Source: [https://github.com/adjavaherian/wulf_mvc]
* Homepage: [http://welcome.totheinter.net/tutorials/model-view-controller-in-jquery/]
* Twitter: TBD


## Quick start

Choose one of the following options:

1. Download the latest stable release from
   [https://github.com/adjavaherian/wulf_mvc/archive/master.zip]

2. Clone the git repo — `git clone
   https://github.com/adjavaherian/wulf_mvc.git`

3. Check out the [quick start tutorial](https://github.com/adjavaherian/wulf_mvc/wiki/Quick-Start-Tutorial)

## Features (HTML5 Boilerplate)

* HTML5 ready. Use the new elements with confidence.
* Cross-browser compatible (Chrome, Opera, Safari, Firefox 3.6+, IE6+).
* Designed with progressive enhancement in mind.
* Includes [Normalize.css](http://necolas.github.com/normalize.css/) for CSS
  normalizations and common bug fixes.
* The latest [jQuery](http://jquery.com/) via CDN, with a local fallback.
* The latest [Modernizr](http://modernizr.com/) build for feature detection.
* IE-specific classes for easier cross-browser control.
* Placeholder CSS Media Queries.
* Useful CSS helpers.
* Default print CSS, performance optimized.
* Protection against any stray `console.log` causing JavaScript errors in
  IE6/7.
* An optimized Google Analytics snippet.
* Apache server caching, compression, and other configuration defaults for
  Grade-A performance.
* Cross-domain Ajax and Flash.
* "Delete-key friendly." Easy to strip out parts you don't need.
* Extensive inline and accompanying documentation.

## Wulf Specific Support
* 960 Grid CSS
* jQuery based MVC Framework


## Documentation

Tutorial available at:
http://welcome.totheinter.net/tutorials/model-view-controller-in-jquery/

Clone the git repo above to your web server.  Make sure you have ModPHP 4 or higher for AJAX Demo server
Goto http://yourserver.com/wulf_mvc/


## Contributing

Anyone and everyone is welcome to
[contribute](https://github.com/adjavaherian/wulf_mvc/blob/master/CONTRIBUTING_TBD.md).
